<?php
/*
 *
 * @category     Addons
 * @package      Admin tool: wbBackup
 * @copyright    Uwe Jacobsen <webdesign@jacobi22.com> (last), Dietmar Wöllbrink <dietmar.woellbrink@websitebaker@org>
 * @author       Uwe Jacobsen <webdesign@jacobi22.com> (last), Dietmar Wöllbrink <dietmar.woellbrink@websitebaker@org>
 * @license      http://www.gnu.org/licenses/gpl.html   GPL License
 * @version      1.2
 * @lastmodified 2021/03/05
 * @since        File available since 2021/01/14
 * @description  include simple command dispatcher
 */
use bin\{SecureTokens,WbAdaptor,WbDatabase};
use bin\helpers\{PreCheck,ParenList};

//use addon\wbBackup\Lib\Wbbackup;

/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; \flush(); exit;}
/* -------------------------------------------------------- */

    $sAddonPath    = str_replace('\\','/',__DIR__).'/';
    $sModulesPath  = \dirname($sAddonPath).'/';
    $sModuleName   = basename($sModulesPath);
    $sAddonName    = basename($sAddonPath);
    $ModuleRel     = ''.$sModuleName.'/';
    $sAddonRel     = ''.$sModuleName.'/'.$sAddonName.'/';
    $sPattern      = "/^(.*?\/)".$sModuleName."\/.*$/";
    $sAppPath      = preg_replace ($sPattern, "$1", $sModulesPath, 1 );
    $admin         = new \admin('Modules', 'wbBackup', false,false);
    $oReg          = WbAdaptor::getInstance();
    $oTrans        = $oReg->getTranslate();
    $oRequest      = $oReg->getRequester();
    $oApp          = $oReg->getApplication();
    $database      = $oReg->getDatabase();
    $requestMethod = \strtoupper($oReg->Request->getServerVar('REQUEST_METHOD'));
    $aRequestVars  = [];
// get POST or GET requests, never both at once
    $aVars = $oReg->Request->getParamNames();
    foreach ($aVars as $sName) {
        $aRequestVars[$sName] = $oReg->Request->getParam($sName);
    }

    if ((int)$oApp->getUserId() !== 1) {
    // back to overview
        $backlink = $oReg->AcpUrl .'admintools/tool.php';
        $sErrorMsg = sprintf("%s",$oTrans->MESSAGE_FRONTEND_SORRY_NO_VIEWING_PERMISSIONS);
        $oApp->print_error( $sErrorMsg, $backlink);
    }

    $sCommand = ($sCommand ?? 'tool');
    $sCommand = ((isset($aRequestVars['cmd']) && $aRequestVars['cmd'] == 'backup') ? 'backup' : $sCommand);
    $sCommand = ((isset($aRequestVars['cmd']) && $aRequestVars['cmd'] == 'deletefile') ? 'deletefile' : $sCommand);
    $sCommand = ((isset($aRequestVars['cmd']) && $aRequestVars['cmd'] == 'savesetting') ? 'savesetting' : $sCommand);
    $sCommand = ((isset($aRequestVars['cmd']) && $aRequestVars['cmd'] == 'ModifySettings') ? 'ModifySettings' : $sCommand);

    // set the name of the addon
    //$sAddonName = basename(__DIR__);
    $sDispatcherFile = $sModulesPath.'SimpleCommandDispatcher.inc.php';
    if (is_readable($sDispatcherFile)){include($sDispatcherFile);}

// end of file