<?php
/**
 * @category     Addons
 * @package      Admin tool: wbBackup
 * @copyright    Uwe Jacobsen <webdesign@jacobi22.com> (last), Dietmar Wöllbrink <dietmar.woellbrink@websitebaker@org>
 * @author       Uwe Jacobsen <webdesign@jacobi22.com> (last), Dietmar Wöllbrink <dietmar.woellbrink@websitebaker@org>
 * @license      http://www.gnu.org/licenses/gpl.html   GPL License
 * @version      1.2
 * @lastmodified 2021/03/05
 * @since        File available since 2021/01/14
 * @description  display backend administration page
 * Deletefile.inc.php
 */
//            echo "<pre>POST in tool.inc.php:<br>";
//            print_r($_POST);
//            echo "</pre>";
//            echo "<pre>GET in tool.inc.php:<br>";
//            print_r($_GET);
//            echo "</pre>";
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
//if(defined('WB_PATH') == false) { die('Illegale file access /'.basename(__DIR__).'/'.basename(__FILE__).''); }
/* -------------------------------------------------------- */

use addon\wbBackup\Lib\Wbbackup;
use bin\{WbAdaptor, SecureTokens};
use bin\helpers\{PreCheck};

//load some initial datas
if (is_readable($sAddonPath.'/init.php'))     {require ($sAddonPath.'/init.php');}
// if autoload failed
// if (!class_exists('Wbbackup')){require $sAddonPath.'/Lib/Wbbackup.php';}
$oTrans->enableAddon('modules\\\\'.$sAddonName);

$js_back = ADMIN_URL .'/admintools/tool.php?tool="wbBackup';
if (!$admin->get_permission($sAddonName,'module' ) ) {
         $admin->print_error($MESSAGE['ADMIN_INSUFFICIENT_PRIVELLIGES'], $js_back);
}
$sWbVersion = (defined('VERSION') ? VERSION : WB_VERSION);

// secure check - correct FTAN?
if (!bin\SecureTokens::checkFTAN ()) {
    $aMessage = \sprintf("%s\n","Backup.inc.php - Missing FTAN ".$oTrans->GENERIC_SECURITY_ACCESS);
    $admin->print_error($aMessage, $sAddonBackUrl );
}
$sDeleteFile = $admin->checkIDKEY('file_id', false,'POST');
if($sDeleteFile === false ) {
    $aMessage = \sprintf("%s\n","wbBackup - Deletebackup.inc.php - Missing File-IDKey - ".$oTrans->GENERIC_SECURITY_ACCESS);
    $admin->print_error($aMessage, $js_back );
}

    $FTAN = $admin->getFTAN('');
    $redirect_timer = ((\defined( 'REDIRECT_TIMER' ) && (REDIRECT_TIMER <= 10000)) ? REDIRECT_TIMER : false);
// complete array with replacements
    $aTplDefaults = array(
        'WB_URL'                                => WB_URL,
        'ADMIN_URL'                             => ADMIN_URL,
        'FTAN_NAME'                             => $FTAN['name'],
        'FTAN_VALUE'                            => $FTAN['value'],
        'MODULE_THEME_URL'                      => $sAddonThemeUrl,
        'MODULE_THEME_PATH'                     => $sAddonThemePath,
        'ICON_URL'                              => $sAddonThemeUrl.'/images',
        'ADDON_NAME'                            => strtolower($sAddonName),
        'ADDONNAME'                             => strtoupper($sAddonName),
        'ADDONURL'                              => $sAddonUrl,
        'LANGUAGE'                              => LANGUAGE,
        'ICON_URL'                              => $sAddonThemeUrl.'/images',
        'THEME_URL'                             => $sAddonThemeUrl,
        'SAVE_URL'                              => ADMIN_URL.'/pages/save.php',
        'TOOL_URL'                              => ADMIN_URL.'/admintools/tool.php?tool=wbBackup',
        'CONFIRM'                               => $oTrans->GENERIC_PLEASE_BE_PATIENT,
        'SUCCESSFULL_SAVED'                     => $oTrans->MOD_BACKUP_DEL_BACKUP,
        'TEXT_CLOSE'                            => $oTrans->MOD_BACKUP_TEXT_CLOSE ,
        'REDIRECT_TIMER'                        => $redirect_timer,
        'REDIRECT_URL'                          => ADMIN_URL.'/admintools/tool.php?tool=wbBackup',
    );
    $sDefaultDateFormat                         = DEFAULT_DATE_FORMAT;
    $sDefaultTimeFormat                         = DEFAULT_TIME_FORMAT;
    $sDefaultTimeZone                           = DEFAULT_TIMEZONE;

    $aTwigdata = $aTplDefaults;
    $aTwigdata['setting']                       = Wbbackup::getBackupSettings();
    $sBackupFolder                              = Wbbackup::getBackupFolder();

    $sFileToDeletePath                          = WB_PATH.'/'.$sBackupFolder.'/'.$sDeleteFile;
    if($aRequestVars['filetype'] == 'zip'){
        $sDeleteLogFile                         = str_replace('.zip', '.log', $sFileToDeletePath);
        if (!unlink($sDeleteLogFile)) {
            $aTwigdata['del_log_error']         = $oTrans->MOD_BACKUP_FAILED_DELETE_LOG_FILE;

        }
        if (!unlink($sFileToDeletePath)) {
            $aTwigdata['del_zip_error']         = $oTrans->MOD_BACKUP_FAILED_DELETE_ZIP_FILE;
        }
        $aTwigdata['DelFiletype']               = 'ZIP';
        $aTwigdata['File']                      = $sDeleteLogFile;
    }

    if ($aRequestVars['filetype'] == 'sql'){
        if (!unlink($sFileToDeletePath)) {
            $aTwigdata['del_sql_error']         = $oTrans->MOD_BACKUP_FAILED_DELETE_SQL_FILE;
        }
        $aTwigdata['DelFiletype']               = 'SQL';
        $aTwigdata['File']                      = $sFileToDeletePath;
    }
    $aTwigdata['doAction']                      = 'deleteFiles';
    $aTwigdata['Filelist']                      = Wbbackup::getAllBackupFiles($sBackupFolder,$sDefaultDateFormat,$sDefaultTimeFormat,$sDefaultTimeZone);

//            echo "<pre>POST in Deletefile.inc.php:<br>";
//            print_r($aTwigdata);
//            echo "</pre>";

    if (version_compare($sWbVersion, '2.13.0', '>=')){
        if (class_exists('\Twig\Environment') && is_readable($sAddonThemePath.'/success.twig'))
            {
                // create twig template object
                $loader = new \Twig\Loader\FilesystemLoader($sAddonThemePath);
                $oTwig   = new \Twig\Environment($loader, [
                    'autoescape'       => false,
                    'cache'            => false,
                    'strict_variables' => false,
                    'debug'            => false,
                    'auto_reload'      => true,
                ]);
            }
            $oTwig->addGlobal('lang', array_merge($TEXT, $MOD_BACKUP));
            //$oTwig->addFilter(new \Twig\TwigFilter('strftime', 'strftime_filter'));
            $oTwig->addFilter(new \Twig\TwigFilter('var_dump','var_dump'));
            echo $oTwig->render('success.twig', $aTwigdata);
        }else{
            $oTwigLoader = new Twig_Loader_Filesystem($sAddonThemePath);
            $oTwig = new Twig_Environment($oTwigLoader, array(
                'autoescape'       => false,
                'cache'            => false,
                'strict_variables' => false,
                'debug'            => true
            ));
            $oTwig->addGlobal('lang', array_merge($TEXT, $MOD_BACKUP));
            $oTpl = $oTwig->loadTemplate('success.twig');
            $oTpl->display($aTwigdata);
        }

// end of file



