<?php
/**
 *
/**
 * @category     Addons
 * @package      Admin tool: wbBackup
 * @copyright    Uwe Jacobsen <webdesign@jacobi22.com> (last), Dietmar Wöllbrink <dietmar.woellbrink@websitebaker@org>
 * @author       Uwe Jacobsen <webdesign@jacobi22.com> (last), Dietmar Wöllbrink <dietmar.woellbrink@websitebaker@org>
 * @license      http://www.gnu.org/licenses/gpl.html   GPL License
 * @version      1.2
 * @lastmodified 2021/03/05
 * @since        File available since 2021/01/14
 * @description  display backend administration page
 * Tool.inc.php
 */

use addon\wbBackup\Lib\Wbbackup;
use bin\{WbAdaptor, SecureTokens};
use bin\helpers\{PreCheck};

use Twig\Loader\FilesystemLoader;
use Twig\Environment;
use Twig\TwigFilter;

//            echo "<pre>POST in tool.inc.php:<br>";
//            print_r($_POST);
//            echo "</pre>";
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; \flush(); exit;}
/* -------------------------------------------------------- */

//load some initial datas
if (is_readable($sAddonPath.'/init.php')) {require ($sAddonPath.'/init.php');}
//    if autoload failed
//    if (!class_exists('Wbbackup')){require $sAddonPath.'/Lib/Wbbackup.php';}

        $oTrans->enableAddon('modules\\\\'.$sAddonName);
        $js_back = ADMIN_URL .'/admintools/tool.php?tool="wbBackup';

        if ( !$admin->get_permission($sAddonName,'module' ) ) {
            $admin->print_error($MESSAGE['ADMIN_INSUFFICIENT_PRIVELLIGES'], $js_back);
        }
        $sWbVersion = (defined('VERSION') ? VERSION : WB_VERSION);

        $FTAN = $admin->getFTAN('');
        $redirect_timer  = ((\defined( 'REDIRECT_TIMER' ) && (REDIRECT_TIMER <= 10000)) ? REDIRECT_TIMER : false);
        $sTableName = $oReg->TablePrefix.'mod_wbbackup_settings';
// add and upgrade missing $sTableName
        if (!$oDb->table_exists($sTableName)) {
          require ($sAddonPath.'/upgrade.php');
        }

        $iMaxFileSizeGB = (int)Wbbackup::getMaxFileSize()/1024;

        // complete array with replacements
        $aTplDefaults = [
                'WB_URL'            => WB_URL,
                'ADMIN_URL'         => ADMIN_URL,
                'FTAN_NAME'         => $FTAN['name'],
                'FTAN_VALUE'        => $FTAN['value'],
                'MODULE_THEME_URL'  => $sAddonThemeUrl,
                'MODULE_THEME_PATH' => $sAddonThemePath,
                'ICON_URL'          => $sAddonThemeUrl.'/images',
                'ADDON_NAME'        => strtolower($sAddonName),
                'ADDONNAME'         => strtoupper($sAddonName),
                'ADDONURL'          => $sAddonUrl,
                'LANGUAGE'          => LANGUAGE,
                'ICON_URL'          => $sAddonThemeUrl.'/images',
                'THEME_URL'         => $sAddonThemeUrl,
                'BACKUP_URL'        => $sAddonUrl.'/cmd/Backup.inc.php',
                'DELETE_BACKUP_URL' => $sAddonUrl.'/cmd/Deletebackup.inc.php?file=',
                'SAVE_URL'          => ADMIN_URL.'/admintools/tool.php?tool=wbBackup',
                'TOOL_URL'          => ADMIN_URL.'/admintools/tool.php?tool=wbBackup',
                'CONFIRM'           => $MESSAGE['GENERIC_PLEASE_BE_PATIENT'],
                'BACKUPFILE'        => $admin->getIDKEY('FileBackup'),
                'BACKUPALLDB'       => $admin->getIDKEY('DBallTables'),
                'BACKUPWBDB'        => $admin->getIDKEY('DBwbonly'),
                'SETTINGSID'        => $admin->getIDKEY('Settings'),
                'REDIRECT_TIMER'    => $redirect_timer,
                'max_file_sizeGB'   => round($iMaxFileSizeGB,2),
                'REDIRECT'          => ADMIN_URL.'/admintools/tool.php?tool=wbBackup',
            ];

        $sDefaultDateFormat         = DEFAULT_DATE_FORMAT;
        $sDefaultTimeFormat         = DEFAULT_TIME_FORMAT;
        $sDefaultTimeZone           = DEFAULT_TIMEZONE;
        $aTwigdata = $aTplDefaults;
        $aTwigdata['setting']       = Wbbackup::getBackupSettings();
        $sBackupFolder              = Wbbackup::getBackupFolder();
        $aTwigdata['Filelist']      = Wbbackup::getAllBackupFiles($sBackupFolder);
        $sStartPath = WB_PATH;

//    $get_backup_files('backups');
    if (version_compare($sWbVersion, '2.13.0', '>=')){
        if (is_readable($sAddonThemePath.'/BackupForm.twig'))
        {
                // create twig template object
                $loader = new FilesystemLoader($sAddonThemePath);
                $oTwig  = new Environment($loader, [
                    'autoescape'       => false,
                    'cache'            => false,
                    'strict_variables' => false,
                    'debug'            => false,
                    'auto_reload'      => true,
                ]);
            }

            //
            $oTwig->addGlobal('lang', array_merge($TEXT, $MOD_BACKUP));
            //$oTwig->addFilter(new TwigFilter('strftime', 'strftime_filter'));
            $oTwig->addFilter(new TwigFilter('var_dump','var_dump'));
            echo $oTwig->render('BackupForm.twig', $aTwigdata);
        }
/*
        else
        {
            $oTwigLoader = new Twig_Loader_Filesystem($sAddonThemePath);
            $oTwig       = new Twig_Environment($oTwigLoader, array(
                'autoescape'       => false,
                'cache'            => false,
                'strict_variables' => false,
                'debug'            => true
            ));
            $oTwig->addGlobal('lang', array_merge($TEXT, $MOD_BACKUP));
            $oTpl = $oTwig->loadTemplate('BackupForm.twig');
            $oTpl->display($aTwigdata);
        }
*/
// end of file
