<?php
/**
 * @category Addons
 * @package  Admin tool: wbBackup
 * @copyright    Uwe Jacobsen <webdesign@jacobi22.com> (last), Dietmar Wöllbrink <dietmar.woellbrink@websitebaker@org>
 * @author   Uwe Jacobsen <webdesign@jacobi22.com> (last), Dietmar Wöllbrink <dietmar.woellbrink@websitebaker@org>
 * @license  http://www.gnu.org/licenses/gpl.html   GPL License
 * @version  1.2
 * @lastmodified 2021/03/05
 * @since    File available since 2021/01/14
 * @description  german language file
 *
 */

// Deutsche Modulbeschreibung
$module_description = 'Dieses Modul ermöglicht die Erstellung einer Datenbanksicherung oder ein Backup aller Dateien.';

// Textausgaben
$MOD_BACKUP['HEADERTXT']              = 'Datensicherung für Dateien und Datenbank';
$MOD_BACKUP['HEADERSUBTXT']           = 'Ergebnis der Datensicherung ist eine unkomprimierte oder komprimierte SQL-Datei für die Datenbanksicherung oder eine ZIP-Datei mit allen Dateien. Dieses ZIP beinhaltet alle Dateien, ausgehend vom Hauptverzeichnis des Servers und schließt eventuelle weitere Installationen mit ein. ';
$MOD_BACKUP['BACKUP_ALL_FILES']       = 'Sicherung aller Dateien (Datenbank nicht enthalten)';
$MOD_BACKUP['BACKUP_ALL_TABLES']      = 'Sicherung aller WB-Tabellen der Datenbank %s (Dateien nicht enthalten)';
$MOD_BACKUP['BACKUP_ALL_WBTABLES']    = 'Sicherung aller Tabellen der WB-Installationen der Datenbank %s (Dateien nicht enthalten)';
$MOD_BACKUP['BACKUP_WB_SPECIFIC']     = 'Sicherung der von dieser WB-Installation benutzten Tabellen der Datenbank %s (Dateien nicht enthalten)';
$MOD_BACKUP['ADD_DROP']               = 'Füge "DROP TABLE IF EXIST" im MySQL-Backup hinzu';
$MOD_BACKUP['ADD_DOTFILES']           = 'Erlaube versteckte Dateien und Ordner ';
$MOD_BACKUP['USE_COMPRESS']           = 'MySQL-Backup mit GZIP komrimieren';
$MOD_BACKUP['USE_CHARSET']            = 'MySQL utf8 (Standard, kompatible Option), utf8mb4 (für vollständige utf8-Konformität)';
$MOD_BACKUP['BACKUP_ALL_FILES_INFO']  = 'Die Sicherung aller Verzeichnisse und Dateien kann je nach Umfang der installierten Module und Templates sowie der Anzahl Mediendateien lange dauern.<br>Es werden nur Dateien bis max. %s MB ins Backup aufgenommen.';
$MOD_BACKUP['EXISTING_BACKUPS']       = 'Vorhandene Backups auf dem Server';
$MOD_BACKUP['BACKUP_RUNNING']         = 'Backup läuft - bitte warten';
$MOD_BACKUP['BACKUP_DONE']            = '<strong>Fertig!</strong><br>Klicken Sie auf folgenden Link, um das Backup (Zip-Archiv) herunterzuladen';

$MOD_BACKUP['BACKUP']                 = 'Backup';
$MOD_BACKUP['BACKUP_FOLDER_SETTINGS'] = 'Backup Verzeichnis Einstellungen';
$MOD_BACKUP['BACKUP_GLOBAL_SETTINGS'] = 'Backup allgemeine Einstellungen';
$MOD_BACKUP['BACKUP_DATABASE_SETTINGS'] = 'Backup Datenbank Einstellungen';
$MOD_BACKUP['START_FILE_BACKUP']      = 'Dateien sichern';
$MOD_BACKUP['DATABASE']               = 'Datenbank';
$MOD_BACKUP['START_MYSQL_BACKUP']     = 'MySQL-Backup starten';
$MOD_BACKUP['DOWNLOAD']               = 'Download';
$MOD_BACKUP['DOWNLOAD_THIS_FILE']     = 'Download dieser Datei starten';
$TEXT['BACKUP_DATABASE']              = 'Sicherung starten';
$MOD_BACKUP['ZIPLIST']                = 'Vorhandene Dateisicherungen (alle Dateien und Ordner)';
$MOD_BACKUP['SQLLIST']                = 'Vorhandene Datenbanksicherungen';
$MOD_BACKUP['LOGFILE']                = 'Log-Datei ansehen';
$MOD_BACKUP['FILENAME']               = 'Dateiname';
$MOD_BACKUP['NO_ZIP_BACKUPS_FOUND']   = 'keine Dateisicherung gefunden';
$MOD_BACKUP['NO_SQL_BACKUPS_FOUND']   = 'keine Datenbanksicherung gefunden';
$MOD_BACKUP['BACK_TO_OVERVIEW']       = 'Zurück zur Übersicht';
$MOD_BACKUP['ADD_SQL_BACKUP']         = 'Eine Datenbanksicherung wurde erstellt';
$MOD_BACKUP['ADD_ZIP_BACKUP']         = 'Eine Dateisicherung wurde erstellt';
$MOD_BACKUP['DEL_BACKUP']             = 'Eine Backup-Datei wurde gelöscht';

// settings
$MOD_BACKUP['MODPROPERTIES']          = 'Einstellungen';
$MOD_BACKUP['USE_LOGFILE']            = 'Soll eine LOG-Datei geschrieben werden';
$MOD_BACKUP['YES']                    = 'Ja';
$MOD_BACKUP['NO']                     = 'Nein';
$MOD_BACKUP['UTF8']                   = 'utf8';
$MOD_BACKUP['UTF8MB4']                = 'utf8mb4';
$MOD_BACKUP['NONE']                   = 'None';
$MOD_BACKUP['GZIP']                   = 'Gzip';
$MOD_BACKUP['GB']                     = 'Gigabyte';
$MOD_BACKUP['MB']                     = 'Megabyte';
$MOD_BACKUP['BACKUP_DIR']             = 'Standardverzeichnis für Backups';
$MOD_BACKUP['EXCLUDE_DIRS']           = 'Diese Hauptordner von Backup ausschließen';
$MOD_BACKUP['LOG_EXCL_DIRS']          = 'Ausgeschlossene Ordner im Log festhalten';
$MOD_BACKUP['LOG_EXCL_LARGE_FILES']   = 'Ausgeschlossene übergroße Dateien im Log festhalten';
$MOD_BACKUP['MAX_FILE_SIZE']          = 'Dateien vom Backup ausschließen ab einer Größe von';
$MOD_BACKUP['EXCLUDE_EXTENSION']      = 'Diese Dateitypen vom Backup ausschließen (z.b. zip,doc,txt)';
$MOD_BACKUP['DELETE_THIS']            = 'Diese Datei löschen?';
$MOD_BACKUP['FAILED_DELETE_LOG_FILE'] = 'Fehler beim löschen der LOG-Datei';
$MOD_BACKUP['FAILED_DELETE_ZIP_FILE'] = 'Fehler beim löschen der ZIP-Datei';
$MOD_BACKUP['FAILED_DELETE_SQL_FILE'] = 'Fehler beim löschen der SQL-Datei';
$MOD_BACKUP['SUCCESSFULL_SAVED']      = 'Einstellungen erfolgreich gespeichert';
$MOD_BACKUP['TEXT_CLOSE']             = 'Zurück zur Übersicht';
$MOD_BACKUP['SQL_SUCCESSFUL_CREATE']  = "Die Datenbank <b>%s</b> wurde erfolgreich als <b>%s</b> \n im Pfad <b>%s</b> abgelegt \n";

// end of file